Subject: Re: [PATCH wireless] brcmfmac: fix potential memory leak in brcmf_netdev_start_xmit()

From: Kalle Valo <[email-masked]>
Date: Fri, 18 Nov 2022 20:43:07 +0200

Zhang Changzhong <[email-masked]> writes:

> On 2022/11/17 18:09, Kalle Valo wrote:
>> Zhang Changzhong <[email-masked]> writes:
>> 
>>> The brcmf_netdev_start_xmit() returns NETDEV_TX_OK without freeing skb
>>> in case of pskb_expand_head() fails, add dev_kfree_skb() to fix it.
>>>
>>> Fixes: 270a6c1f65fe ("brcmfmac: rework headroom check in .start_xmit()")
>>> Signed-off-by: Zhang Changzhong <[email-masked]>
>> 
>> I assume you have not tested this on a real device? Then it would be
>> really important to add "Compile tested only" to the commit log so that
>> we know it's untested.
>> 
>
> OK, I'll add "Compile tested only" to the next version and other untested
> patches.

Thanks. I wish it would become common to use that "Compile tested only".

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches